%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: PyMOL Molecular Graphics System
Name: pymol
Version: 1.4.1
Release: 1.20110502svn3947%{?dist}
License: MIT and BSD and ZPLv2.0 and Bitstream Vera and OFL
Group: Applications/Engineering
URL: http://www.pymol.org
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn co -r 3947 https://pymol.svn.sourceforge.net/svnroot/pymol/trunk/pymol pymol-1.4.1
#  tar cvzf pymol-1.4.1-20110502svn3947.tar.gz pymol-1.4.1
Source0: pymol-1.4.1-20110502svn3947.tar.gz
# the source for this xpm pulled from:
# https://launchpad.net/ubuntu/intrepid/+source/pymol/1.1~beta3-3/+files/pymol_1.1~beta3-3.diff.gz
Source1: %{name}-32.xpm
Source2: %{name}.desktop
Patch0: pymol-setup.py.patch
BuildRequires: desktop-file-utils
BuildRequires: freeglut-devel
BuildRequires: freetype-devel
BuildRequires: glew-devel
BuildRequires: libGL-devel
BuildRequires: libpng-devel
BuildRequires: python-devel
BuildRequires: python-setuptools-devel
BuildRequires: python-simplejson
Requires: apbs
Requires: freeglut
Requires: glew
Requires: python-numeric
Requires: python-pmw
Requires: tcl
Requires: tk

%description
PyMOL is a molecular graphics system with an embedded Python
interpreter designed for real-time visualization and rapid generation
of high-quality molecular graphics images and animations. It is fully
extensible and available free to everyone via the "Python"
license. Although a newcomer to the field, PyMOL can already be used
to generate stunning images and animations with ease. It can also
perform many other valuable tasks (such as editing PDB files) to
assist you in your research.

%package wxpython
Summary: wxpython interface for PyMOL
Group: Applications/Engineering
Requires: wxPython
Requires: %{name} = %{version}-%{release}

%description wxpython

the pymol-wxpython includes the pmg_wx module for developers to access
pymol via wxpython widgets.

%prep
%setup -q
%patch0 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build

%install
rm -rf ${RPM_BUILD_ROOT}
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root ${RPM_BUILD_ROOT}
echo "#!/bin/sh" > pymol
echo "%{__python} %{python_sitearch}/pymol/__init__.py \$*" >> pymol

mkdir -p ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/pymol/matrices
cp -pr data/pymol/splash.old.png ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/pymol/splash.png
cp -pr data/pymol/cmyk.png ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/pymol/
cp -pr data/pymol/matrices/BLOSUM62 ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/pymol/matrices/

mkdir -p ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo
cp -pr data/demo/1hpv.r3d ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/
cp -pr data/demo/1tii.pdb ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/
cp -pr data/demo/cgo03.py ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/
cp -pr data/demo/il2.pdb ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/
cp -pr data/demo/pept.pdb ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/
cp -pr data/demo/pept.pkl ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/
cp -pr data/chempy ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/chempy
cp -pr data/pmg_tk ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/pmg_tk
cp -pr data/tut  ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/tut
chmod 644 ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/1tii.pdb

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
install -p -m 755 pymol ${RPM_BUILD_ROOT}%{_bindir}/

desktop-file-install --vendor='' --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE2}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
install -p -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE DEVELOPERS README
%{python_sitearch}/*egg-info
%{python_sitearch}/chempy/
%{python_sitearch}/pmg_tk/
%{python_sitearch}/pymol/
%{python_sitearch}/pymol2/
%{python_sitearch}/web/
%{_bindir}/pymol
%{_datadir}/applications/pymol.desktop
%{_datadir}/pixmaps/pymol-32.xpm

%files wxpython
%defattr(-,root,root,-)
%{python_sitearch}/pmg_wx/

%changelog
* Mon May 02 2011 Tim Fenn <fenn@stanford.edu> - 1.4.1-1.20110502svn3947
- update to 1.4.1 (svn 3947)

* Sat Apr 02 2011 Tim Fenn <fenn@stanford.edu> - 1.4-1.20110402svn3938
- update to 1.4 (svn 3938)
- include python web module
- require glew

* Fri Mar 25 2011 Tim Fenn <fenn@stanford.edu> - 1.3-5.20100705svn3911
- add freeglut requires, bz690299

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-4.20100705svn3911
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.3-3.20100705svn3911
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jul 06 2010 Tim Fenn <fenn@stanford.edu> - 1.3-2.20100705svn3911
- include pymol-setup.py.patch

* Mon Jul 05 2010 Tim Fenn <fenn@stanford.edu> - 1.3-1.20100705svn3911
- update to SVN 3911, version 1.3

* Mon Mar 15 2010 Tim Fenn <fenn@stanford.edu> - 1.2-10.20100315svn3897
- update to SVN 3897

* Sun Nov 29 2009 Tim Fenn <fenn@stanford.edu> - 1.2-9.20091006svn3866
- pull in python-devel
- add apbs as a Requires
- minor modification to pymol.desktop

* Tue Oct 06 2009 Tim Fenn <fenn@stanford.edu> - 1.2-8.20091006svn3866
- update to SVN 3866, 1.2r2

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7.20090709svn3827
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Tim Fenn <fenn@stanford.edu> - 1.2-6.20090709svn3827
- include chempy, pmg_tk and tut subdirectories in data folder

* Thu Jul 07 2009 Tim Fenn <fenn@stanford.edu> - 1.2-5.20090709svn3827
- update to SVN 3827, 1.2r1

* Fri Jun 12 2009 Tim Fenn <fenn@stanford.edu> - 1.2-4.20090612svn3729
- update to SVN 3729, fixes contrib module bug

* Wed Apr 08 2009 Tim Fenn <fenn@stanford.edu> - 1.2-3.20090408svn3694
- update to 1.2beta5, aka SVN 3694

* Thu Feb 26 2009 Tim Fenn <fenn@stanford.edu> - 1.2-2.20090226svn3616
- include pymol2 module, update to SVN 3616 (fixes cmd2.py)

* Tue Feb 24 2009 Tim Fenn <fenn@stanford.edu> - 1.2-1.20090224svn3615
- update to trunk svn rev 3615, fixes python 2.6 incompatibility

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.1-14.20081015svn3468
- Rebuild for Python 2.6

* Thu Oct 30 2008 Jon Ciesla <limb@jcomserv.net> - 1.1-13-20081015svn3468
- Fixed vendor flag per kkofler.

* Wed Oct 29 2008 Tim Fenn <fenn@stanford.edu> - 1.1-12-20081015svn3468
- fix vendor flag, remove space from pymol.desktop

* Tue Oct 28 2008 Tim Fenn <fenn@stanford.edu> - 1.1-11-20081015svn3468
- add vendor flag to desktop-file-install

* Tue Oct 21 2008 Tim Fenn <fenn@stanford.edu> - 1.1-10-20081015svn3468
- add demo files

* Mon Oct 20 2008 Tim Fenn <fenn@stanford.edu> - 1.1-9-20081015svn3468
- minor edit to defattr

* Sat Oct 18 2008 Tim Fenn <fenn@stanford.edu> - 1.1-8-20081015svn3468
- separate pmg_wx into -wxpython package, minor patch fix

* Fri Oct 17 2008 Tim Fenn <fenn@stanford.edu> - 1.1-7-20081015svn3468
- patch setup.py to remove opt flags

* Thu Oct 16 2008 Tim Fenn <fenn@stanford.edu> - 1.1-6-20081015svn3468
- SVN bump, minor edit to pymol.desktop

* Tue Oct 07 2008 Tim Fenn <fenn@stanford.edu> - 1.1-5-20080912svn3419
- fix optflags, svn co comment, buildrequires/requires

* Sun Oct 05 2008 Tim Fenn <fenn@stanford.edu> - 1.1-4-20080912svn3419
- fix license, add AUTHORS to %%doc, add python-numeric to requires
- fix optflags, permissions problems, minor fixes

* Thu Oct 02 2008 Tim Fenn <fenn@stanford.edu> - 1.1-3-20080912svn3419
- fix release tag, add egg-info, minor fixes

* Sun Sep 28 2008 Tim Fenn <fenn@stanford.edu> - 1.1-2
- add desktop file, fix buildrequires, fix SourceURL

* Fri Sep 12 2008 Tim Fenn <fenn@stanford.edu> - 1.1-1
- initial build
